Runtime

## org.eclipse.gmf.runtime.diagram.core.commands
Class RemoveBookmarkCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.diagram.core.commands.RemoveBookmarkCommand

All Implemented Interfaces:
  ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult, IUndoableOperation

public class RemoveBookmarkCommand
extends AbstractTransactionalCommand

Removes all bookmark(s) of a supplied object.

Constructor Summary
`RemoveBookmarkCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, java.lang.String label, java.util.Set bookmarks)` constructor

Method Summary
`protected void` `deleteBookmarks()` Deletes the `Set` of bookmarks
`protected CommandResult` `doExecuteWithResult(IProgressMonitor monitor, IAdaptable info)` Implemented by subclasses to perform the model changes.
`java.util.Set` `getBookmarkedObjects()`
`void` `setBookmarkedObjects(java.util.Set bookmarks)`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### RemoveBookmarkCommand

    public RemoveBookmarkCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                 java.lang.String label,
                                 java.util.Set bookmarks)

  constructor

Parameters:
  `editingDomain` - the editing domain
  `label` - the command label
  `bookmarks` - the `Set` of `IMarker`s to delete

Method Detail

### deleteBookmarks

    protected void deleteBookmarks()

  Deletes the `Set` of bookmarks

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor monitor,
                                                IAdaptable info)
                                         throws ExecutionException

  Description copied from class: `AbstractTransactionalCommand`
  Implemented by subclasses to perform the model changes. These changes are applied by manipulation of the EMF metamodel's API, not by executing commands on the editing domain's command stack.

  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `monitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

### getBookmarkedObjects

    public java.util.Set getBookmarkedObjects()

  Returns:
    `Set` of bookmarks to be deleted.

### setBookmarkedObjects

    public void setBookmarkedObjects(java.util.Set bookmarks)

  Parameters:
    `bookmarks` - set the `Set` of bookmarks to be deleted.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.